//
// Author: Alexey V/ Boreskov, steps3d@narod.ru, steps3d@gmail.com
//

#ifndef	__INT_TEXTURE__
#define	__INT_TEXTURE__

#include "GlTexture.h"

class	IntTexture : public GlTexture
{
	int		bpc;						// bits per channel - 16 or 32
	int		numComponents;				// 1 - alpha or 4 - rgba
	bool	sgn;						// is signed
	
public:
	IntTexture ( int theWidth, int theHeight, int theNumComponents = 4, int theBpc = 16, bool theSigned = false );	
	
	bool	isSigned () const
	{
		return sgn;
	}
};

#endif
